extends Node2D

const LIMIT_LEFT = 0
const LIMIT_TOP = 0
const LIMIT_RIGHT = 1376
const LIMIT_BOTTOM = 416

func _ready():
	global.hud.run_clock()
	$Music.play()
	for child in get_children():
		if child is Player:
			var camera = child.get_node("Camera")
			camera.limit_left = LIMIT_LEFT
			camera.limit_top = LIMIT_TOP
			camera.limit_right = LIMIT_RIGHT
			camera.limit_bottom = LIMIT_BOTTOM
	$Springs/AnimationPlayer.play("Nueva Animación")
